package com.hkrt.hk_saas_pos_standard_sdk.utils;


public class TranDetail {


    // 海科平台的交易订单编号
    private String tradeId="";
    //商户编号
    private String merchNo = "";
    //终端编号
    private String pn = "";
    //原交易订单号(撤销、退货等交易对应的原交易订单号)
    private String  originalTradeId="";
    // 交易类型
    private String tradeType="";
    // 交易金额
    private String amount="";
    // 交易时间
    private String tradeBeginTime="";
    // 交易完成时间
    private String tradeEndTime = "";
    // 交易状态 1：成功,2：失败,3：进行中
    private String tradeResult="";
    //卡号
    private String  cardNo="";
    //发卡行
    private String  bankName="";
    //参考号
    private String  f38="";
    //原请求刷卡方式
    private String  f22="";
    //凭证号
    private String  f11="";
    //卡有效期
    private String  expDate="";
    //批次号
    private String  batchNo="";
    //授权码
    private String  f61="";
    //商户编号
    private String  shopNumber="";
    //商户名称
    private String  shopName="";
    //银联商户号
    private String  unionPayCode="";
    //终端编号
    private String  terminalSn="";
    //银联终端号
    private String  unionTerminalSn="";
    //收单行
    private String  acquiringBank="";
    //发卡行代码
    private String  bankIssno="";
    //银联参考号
    private String  unionRefNo="";
    //终端流水号
    private String  terminalTxNo="";
    //结算卡号
    private String  settleCradNum="";
    //外部流水号
    private String  outTradeNo="";
    // 不为空时，消费交易：若交易成功，该参数是撤销交易号，若交易失败，该参数是对应的冲正交易号。撤销（冲正）交易：该参数是原消费交易号。
    private String  relativeTradeId="";//关联的交易订单号。
    // 凭证流水订单号
    private String  channelTradeNo;
    // 卡组织
    private String cardOrg;
    // 币种
    private String currency;
    // dcc信息
    private String dccInfo;
    // 卡类型 01：借记卡；02：贷记卡；03：准贷记卡04：预付费
    private String cardType;
    /**
     * 消费：CONSUME
     * 消费撤销：REVOKE
     * 消费冲正：REVERSAL
     * 退款（退货）：REFUND
     * 预授权：PREAUTH
     * 预授权撤销：PREAUTHUNDO
     * 预授权完成：PREAUTHFINISH
     * 预授权完成撤销：PREAUTHFINISHUNDO
     */
    private String payMode;
    // 已退款金额
    private String refundedAmount;
    // 剩余可退款金额
    private String remanentAmount;
    // 小票签名图片 （base64）
    private String receiptImage;

    private String invoiceQrCode;

    private String invoiceOrderID;

    @Override
    public String toString() {
        return "TranDetail{" +
                "tradeId='" + tradeId + '\'' +
                ", merchNo='" + merchNo + '\'' +
                ", pn='" + pn + '\'' +
                ", originalTradeId='" + originalTradeId + '\'' +
                ", tradeType='" + tradeType + '\'' +
                ", amount='" + amount + '\'' +
                ", tradeBeginTime='" + tradeBeginTime + '\'' +
                ", tradeEndTime='" + tradeEndTime + '\'' +
                ", tradeResult='" + tradeResult + '\'' +
                ", cardNo='" + cardNo + '\'' +
                ", bankName='" + bankName + '\'' +
                ", f38='" + f38 + '\'' +
                ", f22='" + f22 + '\'' +
                ", f11='" + f11 + '\'' +
                ", expDate='" + expDate + '\'' +
                ", batchNo='" + batchNo + '\'' +
                ", f61='" + f61 + '\'' +
                ", shopNumber='" + shopNumber + '\'' +
                ", shopName='" + shopName + '\'' +
                ", unionPayCode='" + unionPayCode + '\'' +
                ", terminalSn='" + terminalSn + '\'' +
                ", unionTerminalSn='" + unionTerminalSn + '\'' +
                ", acquiringBank='" + acquiringBank + '\'' +
                ", bankIssno='" + bankIssno + '\'' +
                ", unionRefNo='" + unionRefNo + '\'' +
                ", terminalTxNo='" + terminalTxNo + '\'' +
                ", settleCradNum='" + settleCradNum + '\'' +
                ", outTradeNo='" + outTradeNo + '\'' +
                ", relativeTradeId='" + relativeTradeId + '\'' +
                ", channelTradeNo='" + channelTradeNo + '\'' +
                ", cardOrg='" + cardOrg + '\'' +
                ", currency='" + currency + '\'' +
                ", dccInfo='" + dccInfo + '\'' +
                ", cardType='" + cardType + '\'' +
                ", payMode='" + payMode + '\'' +
                ", refundedAmount='" + refundedAmount + '\'' +
                ", remanentAmount='" + remanentAmount + '\'' +
                ", receiptImage='" + receiptImage + '\'' +
                ", invoiceQrCode='" + invoiceQrCode + '\'' +
                ", invoiceOrderID='" + invoiceOrderID + '\'' +
                '}';
    }

    public String getTradeId() {
        return tradeId;
    }

    public void setTradeId(String tradeId) {
        this.tradeId = tradeId;
    }

    public String getMerchNo() {
        return merchNo;
    }

    public void setMerchNo(String merchNo) {
        this.merchNo = merchNo;
    }

    public String getPn() {
        return pn;
    }

    public void setPn(String pn) {
        this.pn = pn;
    }

    public String getOriginalTradeId() {
        return originalTradeId;
    }

    public void setOriginalTradeId(String originalTradeId) {
        this.originalTradeId = originalTradeId;
    }

    public String getTradeType() {
        return tradeType;
    }

    public void setTradeType(String tradeType) {
        this.tradeType = tradeType;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public String getTradeBeginTime() {
        return tradeBeginTime;
    }

    public void setTradeBeginTime(String tradeBeginTime) {
        this.tradeBeginTime = tradeBeginTime;
    }

    public String getTradeEndTime() {
        return tradeEndTime;
    }

    public void setTradeEndTime(String tradeEndTime) {
        this.tradeEndTime = tradeEndTime;
    }

    public String getTradeResult() {
        return tradeResult;
    }

    public void setTradeResult(String tradeResult) {
        this.tradeResult = tradeResult;
    }

    public String getCardNo() {
        return cardNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getF38() {
        return f38;
    }

    public void setF38(String f38) {
        this.f38 = f38;
    }

    public String getF22() {
        return f22;
    }

    public void setF22(String f22) {
        this.f22 = f22;
    }

    public String getF11() {
        return f11;
    }

    public void setF11(String f11) {
        this.f11 = f11;
    }

    public String getExpDate() {
        return expDate;
    }

    public void setExpDate(String expDate) {
        this.expDate = expDate;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public String getF61() {
        return f61;
    }

    public void setF61(String f61) {
        this.f61 = f61;
    }

    public String getShopNumber() {
        return shopNumber;
    }

    public void setShopNumber(String shopNumber) {
        this.shopNumber = shopNumber;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public String getUnionPayCode() {
        return unionPayCode;
    }

    public void setUnionPayCode(String unionPayCode) {
        this.unionPayCode = unionPayCode;
    }

    public String getTerminalSn() {
        return terminalSn;
    }

    public void setTerminalSn(String terminalSn) {
        this.terminalSn = terminalSn;
    }

    public String getUnionTerminalSn() {
        return unionTerminalSn;
    }

    public void setUnionTerminalSn(String unionTerminalSn) {
        this.unionTerminalSn = unionTerminalSn;
    }

    public String getAcquiringBank() {
        return acquiringBank;
    }

    public void setAcquiringBank(String acquiringBank) {
        this.acquiringBank = acquiringBank;
    }

    public String getBankIssno() {
        return bankIssno;
    }

    public void setBankIssno(String bankIssno) {
        this.bankIssno = bankIssno;
    }

    public String getUnionRefNo() {
        return unionRefNo;
    }

    public void setUnionRefNo(String unionRefNo) {
        this.unionRefNo = unionRefNo;
    }

    public String getTerminalTxNo() {
        return terminalTxNo;
    }

    public void setTerminalTxNo(String terminalTxNo) {
        this.terminalTxNo = terminalTxNo;
    }

    public String getSettleCradNum() {
        return settleCradNum;
    }

    public void setSettleCradNum(String settleCradNum) {
        this.settleCradNum = settleCradNum;
    }

    public String getOutTradeNo() {
        return outTradeNo;
    }

    public void setOutTradeNo(String outTradeNo) {
        this.outTradeNo = outTradeNo;
    }

    public String getRelativeTradeId() {
        return relativeTradeId;
    }

    public void setRelativeTradeId(String relativeTradeId) {
        this.relativeTradeId = relativeTradeId;
    }

    public String getChannelTradeNo() {
        return channelTradeNo;
    }

    public void setChannelTradeNo(String channelTradeNo) {
        this.channelTradeNo = channelTradeNo;
    }

    public String getCardOrg() {
        return cardOrg;
    }

    public void setCardOrg(String cardOrg) {
        this.cardOrg = cardOrg;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getDccInfo() {
        return dccInfo;
    }

    public void setDccInfo(String dccInfo) {
        this.dccInfo = dccInfo;
    }

    public String getCardType() {
        return cardType;
    }

    public void setCardType(String cardType) {
        this.cardType = cardType;
    }

    public String getPayMode() {
        return payMode;
    }

    public void setPayMode(String payMode) {
        this.payMode = payMode;
    }

    public String getRefundedAmount() {
        return refundedAmount;
    }

    public void setRefundedAmount(String refundedAmount) {
        this.refundedAmount = refundedAmount;
    }

    public String getRemanentAmount() {
        return remanentAmount;
    }

    public void setRemanentAmount(String remanentAmount) {
        this.remanentAmount = remanentAmount;
    }

    public String getReceiptImage() {
        return receiptImage;
    }

    public void setReceiptImage(String receiptImage) {
        this.receiptImage = receiptImage;
    }

    public String getInvoiceQrCode() {
        return invoiceQrCode;
    }

    public void setInvoiceQrCode(String invoiceQrCode) {
        this.invoiceQrCode = invoiceQrCode;
    }

    public String getInvoiceOrderID() {
        return invoiceOrderID;
    }

    public void setInvoiceOrderID(String invoiceOrderID) {
        this.invoiceOrderID = invoiceOrderID;
    }
}
